<?php

    $disable_course_duration = get_tutor_option('disable_course_duration');
    $disable_total_enrolled = get_tutor_option('disable_course_total_enrolled');
    $disable_update_date = get_tutor_option('disable_course_update_date');
    $course_duration = get_tutor_course_duration_context();


    $defaults = edubin_generate_defaults();
    $tutor_course_archive_style = get_theme_mod( 'tutor_course_archive_style', $defaults['tutor_course_archive_style']);
    $tutor_instructor_img_on_off = get_theme_mod( 'tutor_instructor_img_on_off', $defaults['tutor_instructor_img_on_off']);
    $tutor_instructor_name_on_off = get_theme_mod( 'tutor_instructor_name_on_off', $defaults['tutor_instructor_name_on_off']);
    $tutor_price_show = get_theme_mod( 'tutor_price_show', $defaults['tutor_price_show']);

    echo '<div class="layout__'.$tutor_course_archive_style.'">';

	do_action( 'tutor_course/archive/before_loop' );

if ( have_posts() ) :
	/* Start the Loop */

	tutor_course_loop_start();

	while ( have_posts() ) :
		the_post();
		/**
		 * @hook tutor_course/archive/before_loop_course
		 * @type action
		 * Usage Idea, you may keep a loop within a wrap, such as bootstrap col
		 */
		do_action( 'tutor_course/archive/before_loop_course' );

        if ($tutor_course_archive_style == '2') :        
            get_template_part( 'tutor/loop/layout', '2'); 
        elseif ($tutor_course_archive_style == '3') :
            get_template_part( 'tutor/loop/layout', '3'); 
        elseif ($tutor_course_archive_style == '4') :
            get_template_part( 'tutor/loop/layout', '4');
        else :       
        	tutor_load_template('loop.course');           
        endif; //End course style


		/**
		 * @hook tutor_course/archive/after_loop_course
		 * @type action
		 * Usage Idea, If you start any div before course loop, you can end it here, such as </div>
		 */
		do_action( 'tutor_course/archive/after_loop_course' );
		endwhile;

	tutor_course_loop_end();

	else :

		/**
		 * No course found
		 */
		// tutor_load_template('course-none');
		tutor_utils()->tutor_empty_state( tutor_utils()->not_found_text() );

	endif;
	if ( isset($_POST['action']) && 'tutor_course_filter_ajax' === $_POST['action'] ) {
		tutor_load_template( 'loop.tutor-pagination_ajax' );
	} else {
		tutor_course_archive_pagination();
	}
	do_action( 'tutor_course/archive/after_loop' );

	echo '</div>';

